# Trait os::fs::easy_fs::block_dev::BlockDevice

source · [−]

    pub trait BlockDevice: Send + Sync + Any {
        fn read_block(&self, block_id: usize, buf: &mut [u8]);
        fn write_block(&self, block_id: usize, buf: &[u8]);
        fn handle_irq(&self);
    }

## Required methods

source

#### fn read_block(&self, block_id: usize, buf: &mut [ u8 ])

source

#### fn write_block(&self, block_id: usize, buf: &[ u8 ])

source

#### fn handle_irq(&self)

## Implementors

source

### impl BlockDevice for VirtIOBlock